#**********************************************************************#
#*                                                                    *#
#* Copyright (c) 2001 by Sun Microsystems, Inc.                       *#
#* All rights reserved.                                               *#
#*                                                                    *#
#**********************************************************************#

#
# ACCTSET
#
echo "Compiling ACCTSET.bms"
rm -f ACCTSET.bms
cp ACCTSETC.bms ACCTSET.bms
kixbms -a -c ACCTSET.bms

#
# bcct00
#
echo "Translating bcct00"
kixclt bcct00.ccs
echo "compiling bcct00.c"
cc -Bdynamic -Kpic -c -Xt -I $UNIKIX/src/CICS_structures -o bcct00.o bcct00.c
ld -G -o bcct00.so bcct00.o 

#
# bcct01
#
echo "Translating bcct01"
kixclt bcct01.ccs
echo "compiling bcct01.c"
cc -Bdynamic -Kpic -c -Xt -I $UNIKIX/src/CICS_structures -o bcct01.o bcct01.c
ld -G -o bcct01.so bcct01.o 

#
# bcct02
#
echo "Translating bcct02"
kixclt bcct02.ccs
echo "compiling bcct02.c"
cc -Bdynamic -Kpic -c -Xt -I $UNIKIX/src/CICS_structures -o bcct02.o bcct02.c
ld -G -o bcct02.so bcct02.o 

#
# bcct03
#
echo "Translating bcct03"
kixclt bcct03.ccs
echo "compiling bcct03.c"
cc -Bdynamic -Kpic -c -Xt -I $UNIKIX/src/CICS_structures -o bcct03.o bcct03.c
ld -G -o bcct03.so bcct03.o 

rm -f bcct00.c bcct01.c bcct02.c bcct03.c 
rm -f bcct00.o bcct01.o bcct02.o bcct03.o
